Bug 1013270 - Crash when trying to install a package -- [abrt] gnome-software-3.10.0-1.fc20: gtk_widget_get_accessible: Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
Crash when trying to install a package -- [abrt] gnome-software-3.10.0-1.fc20...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:1303cade903d9f3b8534166eb3f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 20:03 EDT by Vadim Rutkovsky
Modified: 2015-06-29 21:23 EDT (History)
50 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:23:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.61 KB, text/plain)
2013-09-28 20:03 EDT, Vadim Rutkovsky
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-28 20:03 EDT, Vadim Rutkovsky
no flags Details
File: core_backtrace (24.96 KB, text/plain)
2013-09-28 20:03 EDT, Vadim Rutkovsky
no flags Details
File: dso_list (11.93 KB, text/plain)
2013-09-28 20:03 EDT, Vadim Rutkovsky
no flags Details
File: environ (3.46 KB, text/plain)
2013-09-28 20:03 EDT, Vadim Rutkovsky
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-28 20:03 EDT, Vadim Rutkovsky
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-28 20:03 EDT, Vadim Rutkovsky
no flags Details
File: maps (56.21 KB, text/plain)
2013-09-28 20:04 EDT, Vadim Rutkovsky
no flags Details
File: open_fds (809 bytes, text/plain)
2013-09-28 20:04 EDT, Vadim Rutkovsky
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-09-28 20:04 EDT, Vadim Rutkovsky
no flags Details
core_backtrace, c23 (66.90 KB, text/plain)
2014-03-21 01:09 EDT, Chris Murphy
no flags Details
coredump.xz (2.71 MB, application/x-xz)
2014-03-21 01:10 EDT, Chris Murphy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 709355 None None None Never

  None (edit)
Description Vadim Rutkovsky 2013-09-28 20:03:30 EDT
Description of problem:
Crashed on installing rhythmbox

Version-Release number of selected component:
gnome-software-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.11.1-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 gtk_widget_get_accessible at gtkwidget.c:12689
 #1 app_state_changed at gs-app-tile.c:68
 #7 g_object_notify_by_spec_internal at gobject.c:1141
 #8 g_object_notify at gobject.c:1183
 #9 gs_app_set_state at gs-app.c:317
 #10 gs_plugin_loader_thread_func at gs-plugin-loader.c:1616
 #11 g_thread_proxy at gthread.c:798
 #13 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
Comment 1 Vadim Rutkovsky 2013-09-28 20:03:35 EDT
Created attachment 804564 [details]
File: backtrace
Comment 2 Vadim Rutkovsky 2013-09-28 20:03:38 EDT
Created attachment 804565 [details]
File: cgroup
Comment 3 Vadim Rutkovsky 2013-09-28 20:03:42 EDT
Created attachment 804567 [details]
File: core_backtrace
Comment 4 Vadim Rutkovsky 2013-09-28 20:03:47 EDT
Created attachment 804570 [details]
File: dso_list
Comment 5 Vadim Rutkovsky 2013-09-28 20:03:50 EDT
Created attachment 804572 [details]
File: environ
Comment 6 Vadim Rutkovsky 2013-09-28 20:03:53 EDT
Created attachment 804575 [details]
File: exploitable
Comment 7 Vadim Rutkovsky 2013-09-28 20:03:56 EDT
Created attachment 804577 [details]
File: limits
Comment 8 Vadim Rutkovsky 2013-09-28 20:04:01 EDT
Created attachment 804580 [details]
File: maps
Comment 9 Vadim Rutkovsky 2013-09-28 20:04:04 EDT
Created attachment 804582 [details]
File: open_fds
Comment 10 Vadim Rutkovsky 2013-09-28 20:04:07 EDT
Created attachment 804584 [details]
File: proc_pid_status
Comment 11 bbzsz 2013-10-03 08:14:57 EDT
Problem happens when you try and install an application in the new Gnome 'Software' application.

To reproduce:
1) Find a package
2) Press install

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.11.2-301.fc20.x86_64
package:        gnome-software-3.10.0-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Michael Schwendt 2013-10-14 13:41:53 EDT
Also happens when using "Remove" for a package marked as "installed".
Comment 13 Richard Hughes 2013-10-30 11:33:32 EDT
I'm pretty sure this should be fixed in 3.10.3, can you please verify? http://koji.fedoraproject.org/koji/buildinfo?buildID=474286 -- thanks.
Comment 14 Hapoofesgeli 2013-11-22 07:15:42 EST
After pressing the install button gnome-software crashed.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.11.8-300.fc20.x86_64
package:        gnome-software-3.10.3-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 autarch princeps 2013-11-26 14:59:57 EST
Switched to tab Installing while some items were finished some not started and some currently installed.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.11.6-301.fc20.x86_64
package:        gnome-software-3.10.3-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 16 D. Charles Pyle 2013-12-08 15:12:17 EST
Just happened to me.  Tried to install Manview.  Gnome-software crashed and threw up this bug-error.

rpm -q gnome-software
gnome-software-3.10.4-1.fc20.x86_64
Comment 17 Michael Catanzaro 2013-12-19 15:52:58 EST
(In reply to Richard Hughes from comment #13)
> I'm pretty sure this should be fixed in 3.10.3, can you please verify?
> http://koji.fedoraproject.org/koji/buildinfo?buildID=474286 -- thanks.

Richard, I hit this in F20 final (gnome-software 3.10.4-1.fc20)
Comment 18 Eli Boaz 2013-12-21 02:12:03 EST
This has happened to me multiple times when trying to install software through Gnome Software in F20 final. This seems to occur after I install another piece of software, then begin browsing through the available software before the install is finished, however it is intermittent. I do not know if this is the only condition in which this occurs.
Comment 19 Aija 2013-12-28 19:19:07 EST
Agree with Eli -- it happened when installing several packages and browsing for other packages. When I waited for one to finish before searching for other packages, this error did not occur.
Comment 20 Marcin Stawiarski 2013-12-31 06:02:45 EST
same as Eki and Aija.
Comment 21 hywel 2014-01-11 20:43:33 EST
Just installing beediff from gnome-software-3.10.4-1.fc20

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 laszlo.behm 2014-01-14 12:54:57 EST
Another user experienced a similar problem:

On a Gnome desktop:
yum install @xfce
yum install switchdesk-gui

after reboot i've got this error

reporter:       libreport-2.1.11
backtrace_rating: 3
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.12.6-300.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 Chris Murphy 2014-03-21 01:06:12 EDT
libreport 2.2.0 sent me here
gnome-software-3.10.4-2.fc20
kernel-3.13.6-200.fc20.x86_64

kernel: gnome-software[1711]: segfault at e2f6fd74 ip 00000032feee3fc3 sp 00007fffc04f25d0 error 4 in libgtk-3.so.0.1000.6[32fec00000+509000]

[User Logs]:
Mar 20 22:39:09 f20v.localdomain gnome-session[689]: (gnome-software:1492): Gs-WARNING **: failed to get updates: no results to show
Mar 20 22:45:43 f20v.localdomain gnome-session[689]: (gnome-software:1711): Gs-WARNING **: failed to get updates: no results to show
Mar 20 22:47:21 f20v.localdomain gnome-session[689]: (gnome-software:1711): Gtk-CRITICAL **: gtk_widget_get_accessible: assertion 'GTK_IS_WIDGET (widget)' failed
Mar 20 22:47:21 f20v.localdomain gnome-session[689]: (gnome-software:1711): Gtk-CRITICAL **: gtk_widget_set_visible: assertion 'GTK_IS_WIDGET (widget)' failed
Comment 24 Chris Murphy 2014-03-21 01:09:03 EDT
Created attachment 877119 [details]
core_backtrace, c23
Comment 25 Chris Murphy 2014-03-21 01:10:03 EDT
Created attachment 877120 [details]
coredump.xz
Comment 26 Cameron Austin Varley 2014-04-07 10:38:02 EDT
Another user experienced a similar problem:

I don't remember the cause of the problem becuase it was a while ago and im only reporting the errors now.

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 27 Jorge 2014-05-28 10:02:54 EDT
Estaba intentando instalar software desde la aplicacion y se cierra, solo me envia la ventana informe de errores automaticos y lo hace de manera automatica no me da tiempo para mas.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 28 pascal 2014-06-05 20:02:00 EDT
Another user experienced a similar problem:

i suspect resident virus in cache memory....

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.14.4-200.fc20.x86_64
package:        gnome-software-3.10.4-2.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 29 icywind90 2014-07-03 06:38:50 EDT
Another user experienced a similar problem:

I was trying to remove software. 

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.14.9-200.fc20.x86_64
package:        gnome-software-3.10.4-2.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 30 Jr Alvarado 2014-07-05 20:01:36 EDT
Another user experienced a similar problem:

Pues en realidad no tengo idea de como suceden la mayor parte de los problemas, inclusive aveces o muy seguido nisiquiera tengo abiertos los programas y ocurren muchos de los avisos de probelmas de errores

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_widget_get_accessible
executable:     /usr/bin/gnome-software
kernel:         3.14.9-200.fc20.x86_64
package:        gnome-software-3.10.4-2.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 31 Fedora End Of Life 2015-05-29 05:28:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 32 Fedora End Of Life 2015-06-29 21:23:38 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.